Skip to content
Start here

List Leaked Credential Checks Custom Detections

GET/zones/{zone_id}/leaked-credential-checks/detections

List user-defined detection patterns for Leaked Credential Checks.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone WAF WriteZone WAF ReadAccount WAF WriteAccount WAF Read
Path ParametersExpand Collapse
zone_id: string

Defines an identifier.

maxLength32
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
result: array of object { id, password, username }
id: optional string

Defines the unique ID for this custom detection.

maxLength32
password: optional string

Defines ehe ruleset expression to use in matching the password in a request.

username: optional string

Defines the ruleset expression to use in matching the username in a request.

success: true

Defines whether the API call was successful.

List Leaked Credential Checks Custom Detections

curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/leaked-credential-checks/detections \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "18a14bafaa8eb1df04ce683ec18c765e",
      "password": "lookup_json_string(http.request.body.raw, \"secret\")",
      "username": "lookup_json_string(http.request.body.raw, \"user\")"
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "18a14bafaa8eb1df04ce683ec18c765e",
      "password": "lookup_json_string(http.request.body.raw, \"secret\")",
      "username": "lookup_json_string(http.request.body.raw, \"user\")"
    }
  ],
  "success": true
}